Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovySystem

    java.lang.Object
      groovy.lang.GroovySystem

    public final class GroovySystem
    extends java.lang.Object

Field Summary
`static java.util.Map` | `RUNNER_REGISTRY`

Method Summary
`static MetaClassRegistry` | `getMetaClassRegistry()`
`static java.lang.String` | `getVersion()` Returns the groovy version
`static boolean` | `isKeepJavaMetaClasses()`
`static boolean` | `isUseReflection()`
`static void` | `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`
`static void` | `stopThreadedReferenceManager()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### RUNNER_REGISTRY

    public static final java.util.Map RUNNER_REGISTRY

Method Detail

### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

### getVersion

    public static java.lang.String getVersion()

  Returns the groovy version

### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

### isUseReflection

    public static boolean isUseReflection()

### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)

### stopThreadedReferenceManager

    public static void stopThreadedReferenceManager()

Groovy Documentation